// Decompiled by Jad v1.5.8e. Copyright 2001 Pavel Kouznetsov.
// Jad home page: http://www.geocities.com/kpdus/jad.html
// Decompiler options: packimports(3) deadcode 
// Source File Name:   NullSecurityManager.java

package com.symantec.itools.lang;

import java.io.FileDescriptor;
import java.net.InetAddress;

public class NullSecurityManager extends SecurityManager
{

    public void checkCreateClassLoader()
    {
    }

    public void checkAccess(Thread thread)
    {
    }

    public void checkAccess(ThreadGroup threadgroup)
    {
    }

    public void checkExit(int i)
    {
    }

    public void checkExec(String s)
    {
    }

    public void checkLink(String s)
    {
    }

    public void checkRead(FileDescriptor filedescriptor)
    {
    }

    public void checkRead(String s)
    {
    }

    public void checkRead(String s, Object obj)
    {
    }

    public void checkWrite(FileDescriptor filedescriptor)
    {
    }

    public void checkWrite(String s)
    {
    }

    public void checkDelete(String s)
    {
    }

    public void checkConnect(String s, int i)
    {
    }

    public void checkConnect(String s, int i, Object obj)
    {
    }

    public void checkListen(int i)
    {
    }

    public void checkAccept(String s, int i)
    {
    }

    public void checkMulticast(InetAddress inetaddress)
    {
    }

    public void checkMulticast(InetAddress inetaddress, byte byte0)
    {
    }

    public void checkPropertiesAccess()
    {
    }

    public void checkPropertyAccess(String s)
    {
    }

    public void checkPropertyAccess(String s, String s1)
    {
    }

    public boolean checkTopLevelWindow(Object obj)
    {
        return true;
    }

    public void checkPrintJobAccess()
    {
    }

    public void checkSystemClipboardAccess()
    {
    }

    public void checkAwtEventQueueAccess()
    {
    }

    public void checkPackageAccess(String s)
    {
    }

    public void checkPackageDefinition(String s)
    {
    }

    public void checkSetFactory()
    {
    }

    public void checkMemberAccess(Class class1, int i)
    {
    }

    public void checkSecurityAccess(String s)
    {
    }

    public NullSecurityManager()
    {
    }
}
